<template>
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <table class="table">
                    <thead>
                        <th>title</th>
                        <th>url</th>
                    </thead>
                    <tbody>
                        <tr v-for="url in urldata">
                            <td>{{url.title}}</td>
                            <td>{{url.url}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        props:[
           'urldata'
        ],
        mounted() {
            this.update(),
            console.log('Component Prop  mounted.')
        },
        methods: {
            update: function () {
                console.log(this.urldata);
            }
        }
    }
</script>
